<!DOCTYPE html>
<html lang="en">
<head>
    <script>
        function convert(){
            const US = 9.915; //Dollar US
            const SPR = 13.472 // Dollar Singapore
            const RGT = 874 // Ringgit Malaysia
            const YEN = 120 // YEN Jepang
            const ERO = 15.888 // Euro
            const RYL = 3.592 // Riyal Arab Saudi
            let nilai = document.getElementById("Nilai").value;
            console.log("Rupiah : " + nilai);
            let matung = document.getElementById("MataUang").value;
            console.log("Konversi ke Mata Uang : " + matung);
            if (matung == "Dollar US"){
                let DUS = nilai / US;
                console.log("Hasil : $" + DUS);
                let RoundingUS = Math.round(DUS);
                console.log("Dollar US : $" + RoundingUS);
                let area_DUS = document.getElementById("Hasil");
                area_DUS.innerHTML = "$" + RoundingUS
            } else if (matung == "Dollar Singapore"){
                let Dosing = nilai / SPR;
                console.log("Hasil : S$" + Dosing);
                let RoundingSPR = Math.round(Dosing);
                console.log("Dollar SPR : S$" + RoundingSPR);
                let area_Dosing = document.getElementById("Hasil");
                area_Dosing.innerHTML = "S$" + RoundingSPR
            } else if (matung == "Ringgit Malaysia"){
                let Rimal = nilai / RGT;
                console.log("Hasil : RM" + Rimal);
                let RoundingMAL = Math.round(Rimal);
                console.log("Ringgit Malay : RM" + RoundingMAL);
                let area_RGT = document.getElementById("Hasil");
                area_RGT.innerHTML = "RM" + RoundingMAL
            } else if (matung == "Yen Jepang"){
                let YENJ = nilai / YEN;
                console.log("Hasil : ¥" + YENJ);
                let RoundingJEP = Math.round(YENJ);
                console.log("Yen Jepang : ¥" + RoundingJEP);
                let area_Yen = document.getElementById("Hasil");
                area_Yen.innerHTML = "¥" + RoundingJEP
            } else if (matung == "Euro"){
                let EU = nilai / ERO;
                console.log("Hasil : €" + EU);
                let RoundingEU = Math.round(EU);
                console.log(" Euro : €" + RoundingEU);
                let area_ERO = document.getElementById("Hasil");
                area_ERO.innerHTML = "€" + RoundingEU
            } else if (matung == "Riyal Arab Saudi"){
                let Riy = nilai / RYL;
                console.log("Hasil : SAR" + Riy);
                let RoundingRYL = Math.round(Riy);
                console.log("Riyal : RYL" + RoundingRYL);
                let area_RYL = document.getElementById("Hasil");
                area_RYL.innerHTML = "SAR" + RoundingRYL
            } else{
                console.error();
            }

        }
    </script>
</head>
<body>
    <h1>Kurs Rupiah</h1>
    <p><strong>Masukan Nilai Uang Anda</strong></p>
    <table border="1">
        <tr>
            <td><strong><center>Masukan Nilai</center></strong></td>
            <td><strong><center>Valas</center></strong></td>
            <td><strong><center>Nilai Rupiah</center></strong></td>
        </tr>
        <tr>
            <td><input type="text" id="Nilai"></td>
            <td><input type="text" list="Matauang" id="MataUang" ></td>
            <datalist id="Matauang">
                <option value="Dollar US"></option>
                <option value="Dollar Singapore"></option>
                <option value="Ringgit Malaysia"></option>
                <option value="Yen Jepang"></option>
                <option value="Euro"></option>
                <option value="Riyal Arab Saudi"></option>
            </datalist>
            <td id="Hasil"></td>
        </tr>
    </table>
    <br/>
    <button onclick="convert()">Konversi</button>
</body>
</html>